[general]
* Internet Explorer and the "old" Edge browser (not Chromium) are no longer supported

[general:de]
* Der Internet Explorer und der "alte" Edge Browser (nicht Chromium) werden nicht mehr unterstützt

[changes]
* **Task Planner**:
  * In order to execute i-net HelpDesk specific tasks with Task Planner in an automated manner, the "Server Administration" permission is now no longer required as before. Instead, all supporters with the "Task Planner" permission can now use the i-net HelpDesk task planning functions
  * I-net HelpDesk task scheduling no longer requires an active process plugin
* **Users & Groups**:
  * Inherited memberships in resources are now correctly displayed and can be shown/hidden
* **Desktop Application**:
  * Menu item "Options" in the "Gear" menu of the desktop application has been replaced by the menu item "Configuration". This opens the web configuration of the i-net HelpDesk server. The Server Administration permission is required for this
  * The settings from the "Options" dialog, such as priorities, actions, status, etc., are now made in the i-net HelpDesk Server web configuration, which is accessed via the new "Configuration" menu item
  * The settings for dialog modifications remain in the desktop application and are now accessible via a separate menu item in the cogwheel menu
* **Embedded web pages**:
  * The plugin now supports linking (redirect) of web pages. Added additional rights management based on "users and groups" memberships
* **i-net HelpDesk Mobile for Android**:
  * Search in the mobile app now searches in all jobs regardless of the selection of which resources you see
* **i-net HelpDesk Mobile for iOS**
  * Several improvements. Among others:
    * Better readability in dark mode
    * Better performance with many tickets
    * Layout problems with small displays fixed
    * Realization steps no longer pop up on reload by themselves
    * The sort order of the classification selection has been corrected
* **i-net HelpDesk Server**:
  * Speed when re-indexing users has been increased
  * Startup of i-net HelpDesk Server with huge number of open tickets has been accelerated
  * System generated descriptions in tickets are now translated with the server language
  * As e-mails were not always assigned to the correct ticket, different forms of ticket ID identifiers containing spaces are now accepted
  * Managing the supervisor function via the user import is now possible
  * Reactivation of bundled tickets is no longer blocked
    * There is now a new setting "Bundle tickets" in the configuration category "Tickets", under which circumstances bundling of tickets should be allowed: either always, or only if tickets have the identical owner or location or email domain. Default is that tickets have to be from the same "location" to be bundled
  * Paths of attachments in tickets and knowledge base updated to new state
  * When AutoMails are sent in plain-text format, the embedded images of the order are only attached if the order text is also contained in the mail
  * Phrase search has been improved. With some words (every 256th in the cache) was not found with the pharsen search
  * If an EMAIL_IN trigger is used to change ticket values, then these changes only affect the slave for tickets that are bundled as a slave. Since the values of the master are usually relevant for ticket bundles, the changed values in the slave will only become visible after unbinding in some cases
  * Notifications (configured in configuration or task scheduling) can now optionally contain a relative path or an external HTTP or HTTPS URL as a link
  * The reading of e-mails has been revised:
    * Job parameters can now update almost all ticket fields
    * Changes to trigger and order parameters
      * the value "current_status" has been dropped and cannot be set anymore, use "status" for reading and setting
      * "order_freeX" (1-4,6,7) can now be set everywhere as well
      * "derBetreff" has been dropped, only "subject" is evaluated now
    * If an e-mail sent from i-net HelpDesk comes back as undeliverable, a step 'e-mail to be redelivered' is created instead of 'e-mail received
    * If a new ticket has been created by an e-mail, the possibly set category can determine the resource if no resource has been determined by other means (By e-mail account, trigger, user group/location?)
    * If an auto-email to user on authorization is set under Configuration/Auto-E-Mails, it will now be sent also if the authorization was done by reading an e-mail
    * Changes to user data made by triggers or order parameters are now made to the sender's account instead of the ticket's user
    * Consider subcategory when selecting email senders
* **Configuration**:
  * Management of ticket field values, such as priorities, categories, etc., is now located in the web configuration, along with management of other ticket options, instead of in the desktop application as before
* **Live Support**:
  * The new plugin "Live Support" enables the integration of the communication of customers with the support directly in the company portal or on the company website. For this purpose, a JavaScript from the i-net HelpDesk server is integrated on the corresponding web page
  * Supporters/dispatchers answer live support requests directly in the web-based *Tickets* application of i-net HelpDesk.
    * Customer requests can optionally be transferred to a specific resource
  * The presence of support staff can be timed via task scheduling, so that live support is not offered outside office hours
  * The display of the "chat window" can be flexibly adapted to the company design
  * All texts can be individualized with the help of the translation plugin, so that e.g. the office hours can be referred to
  * In the customer's communication, in addition to pure text, images and file attachments are also supported, which can be directly uploaded or downloaded by the customer
  * In the supporter's communication, the use of simple HTML, e.g. lists and URL links, is still supported
* **Quick Tickets**:
  * Quick tickets can now also be applied in the ticket web application in two different places:
    * a new ticket is created using a Quick Ticket
    * a Quick Ticket is applied to an existing ticket
  * Quick tickets can now be created and managed in the web interface in Configuration. They offer an extended range of functions in contrast to the desktop application and can therefore also only be used in the Tickets web application
* **Maintenance**:
  * Added new backup task to back up images newly set in Configuration
* Web application **Tickets**:
  * It is now also possible in the web application to convert a ticket into a knowledge base article
  * Via the menu item "Create new ticket from step" a new ticket can be created from the editing step
  * Test modules are now displayed as an extra sidebar in the text editor, which enables filtering as well as previewing
  * Attachments can now also be deleted from a ticket in the ticket extension "Attachments
  * Attachments, e.g. images, videos, text / HTML files, vCards (.vcf) as well as emails (.eml, .mim) can now be opened and displayed directly in the ticket application
  * New ticket:
    * Via the "New Ticket" button you can now also create an "Own new ticket" if you are a supporter yourself
    * If "Location" was selected as priority source, newly created tickets in the web ticket list got the priority of the logged-in user. Now they get the priority of the ticket owner's location
    * Dispatchers, when creating a new ticket, can now "Save and Authorize" it once a resource is entered
    * Pure supporters can now optionally "Save and not Authorize" a new ticket as soon as a resource has been entered
  * Ticket list sometimes contained tickets with incorrect status which was updated only after 15 minutes or after server restart
  * Tooltips about ticket properties are displayed in the ticket preview header
  * Ticket comments or the memo function is now available in the ticket list
  * The values for ITIL count (link count) and escalation (time and icon) are now updated live in the web view
  * A hint is displayed if you have an edit active in a ticket and it is outside the visible area
  * The "Identifier" field is now also available for searching in the web application
  * Send / Reply e-mail:
    * Headers of the original email are always shown in shortened form if the text module contains the placeholder for the content of the email
    * Drag & drop of e-mail recipients in the form is now possible
  * Search:
    * Search suggestions for category and similar now also match within a word
  * View settings:
    * Added new grouping for custom resources to view settings
* **Knowledge base**:
  * In the three-item menu of an article it is now possible to copy the URL to the article
  * Knowledge base now also uses the default ticket font set in the configuration
* **Tickets WebAPI**
  * There is a new WebAPI that can be used to create, search, display, and modify tickets.
  * The permissions of a user for tickets apply to the WebAPI as well - analogous to the Tickets application, for example.

[changes:de]
* **Aufgabenplanung**:
  * Um i-net HelpDesk-spezifische Aufgaben mit dem Task Planner automatisiert auszuführen, ist nun nicht mehr wie bisher die Berechtigung "Serververwaltung" erforderlich. Stattdessen können nun alle Supporter mit der Berechtigung "Aufgabenplanung" die i-net HelpDesk Funktionen der Aufgabenplanung nutzen
  * Die i-net HelpDesk Aufgabenplanung setzt nun nicht mehr ein aktives Prozess-Plugin voraus 
* **Benutzer & Gruppen**:
  * Geerbte Mitgliedschaften in Ressourcen werden korrekt nun angezeigt und lassen sich ein/ausblenden 
* **Desktop-Anwendung**:
  * Menüpunkt "Optionen" im "Zahnrad"-Menü der Desktop-Anwendung wurde durch den Menüpunkt "Konfiguration" ersetzt. Darüber wird die Web-Konfiguration des i-net HelpDesk Servers geöffnet. Hierfür wird die Berechtigung Serververwaltung benötigt
  * Die Einstellungen aus dem Dialog "Optionen", wie Prioritäten, Aktionen, Status usw., werden jetzt in der Web-Konfiguration des i-net HelpDesk Server vorgenommen, auf die Sie über den neuen Menüpunkt "Konfiguration" zugreifen
  * Die Einstellungen zu den Dialogmodifikationen verbleiben in der Desktop-Anwendung und sind nun über einen eigenen Menüpunkt im Zahnrad-Menü erreichbar 
* **Eingebettete Webseiten**:
  * Das Plugin unterstützt nun auch das Verlinken (Redirect) von Webseiten. Zusätzliches Rechtemanagement auf Basis von "Benutzer und Gruppen" Mitgliedschaften hinzugefügt
* **i-net HelpDesk Mobile für Android**:
  * Suche in der Mobile App sucht nun in allen Aufträgen unabhängig der Auswahl, welche Ressourcen man sieht
* **i-net HelpDesk Mobile für iOS**
  * Mehrere Verbesserungen. Unter anderem:
    * Bessere Lesbarkeit in Dark Mode
    * Bessere Performance bei vielen Tickets
    * Layout-Probleme bei kleinen Displays behoben
    * Realisierungsschritte klappen nicht mehr von alleine beim Reload auf
    * Die Sortierreihenfolge der Klassifizierungsauswahl wurde korrigiert
* **i-net HelpDesk Server**:
  * Geschwindigkeit beim erneuten Indizieren der Nutzer wurde erhöht 
  * Hochfahren des i-net HelpDesk Servers bei riesiger Anzahl offener Tickets wurde beschleunigt
  * Vom System generierte Beschreibungen in Tickets werden jetzt mit der Sprache des Servers übersetzt
  * Da E-Mails nicht immer dem richtigen Ticket zugeordnet wurden, werden nun verschiedene Formen von Ticket-ID Identifiern akzeptiert, die Leerzeichen enthalten
  * Verwalten der Supervisor Funktion über den Benutzer-Import möglich
  * Das Reaktivieren gebündelter Tickets wird nicht mehr blockiert
    * Es gibt nun in der Konfigurationskategorie "Tickets" eine neue Einstellung "Bündeln von Tickets", unter welchen Umständen das Bündeln von Tickets erlaubt sein soll: entweder immer, oder nur, wenn Tickets den identischen Besitzer oder Ort oder E-Mail Domäne haben. Default ist, dass Tickets vom gleichen "Ort" stammen müssen, damit sie gebündelt werden können
  * Pfade von Anlagen in Tickets und Wissensbasis auf neuen Stand gebracht
  * Wenn AutoMails im plain-text-format versendet werden, dann werden die eingebetteten Bilder des Auftrags nur dann angefügt, wenn der Auftragstext auch in der Mail enthalten ist
  * Phrasensuche wurde verbessert. Mit einigen Worten (jedes 256ste im Cache) wurde mit der Pharsensuche nicht gefunden
  * Wird ein EMAIL_IN Trigger verwendet, um Ticket-Werte zu verändern, dann wirken sich diese Änderungen bei Tickets, die als Slave gebündelt sind auch nur auf den Slave aus. Da bei Ticket-Bündeln in der Regel die Werte des Masters relevant sind, werden die geänderte Werte im Slave teilweise erst nach dem Entbinden sichtbar
  * Benachrichtigungen (in Konfiguration oder Aufgabenplanung konfigurtiert), können nun optional einen relativen Pfad oder eine externe HTTP oder HTTPS URL als Verlinkung enthalten
  * Das Einlesen von E-Mails wurde überarbeitet:
    * Durch Auftragsparameter können nun nahezu alle Ticket-Felder aktualisiert werden
    * Änderungen am Trigger und Auftragsparametern
      * der Wert "current_status" ist entfallen und kann nicht mehr gesetzt werden, nutzen Sie "status" zum Auslesen und Setzen
      * "auftragfreiX" (1-4,6,7) kann jetzt auch überall gesetzt werden
      * "derBetreff" ist entfallen, es wird nur noch "subject" ausgewertet
    * Wenn eine vom i-net HelpDesk gesendete E-Mail als nicht zustellbar zurückkommt, wird ein Schritt 'E-Mail umzustellbar' erstellt anstatt 'E-Mail empfangen'
    * Wenn ein neues Ticket durch eine E-Mail anlegt wurde, kann die möglicherweise gesetzte Kategorie die Ressource bestimmen, wenn keine Ressource auf anderem Wege (Durch E-Mail-Account, Trigger, Benutzergruppe/Ort?) ermittelt wurde
    * Wenn unter Konfiguration/Auto-E-Mails eine Auto-E-Mail an Benutzer beim Autorisieren eingestellt ist, wird diese jetzt auch versendet, wenn die Autorisierung durch das Einlesen einer E-Mail erfolgt ist
    * Durch Trigger oder Auftragsparameter gemachte Änderungen an Benutzerdaten werden jetzt am Account des Absenders vorgenommen anstatt am Benutzer des Tickets
    * Unterkategorie bei der Auswahl der E-Mail Absender berücksichtigen 
* **Konfiguration**:
  * Die Verwaltung von Ticket-Feldwerten wie Prioritäten, Kategorien, usw., befindet sich nun gemeinsam mit Verwaltung anderer Ticket-Optionen in der Web-Konfiguration anstatt wie bisher in der Desktop-Anwendung 
* **Live-Unterstützung**:
  * Das neue Plugin "Live-Unterstützung" ermöglicht die Integration der Kommunikation von Kunden mit dem Support direkt im Unternehmensportal bzw. auf der Unternehmenswebseite. Dazu wird auf der entsprechenden Webseite ein JavaScript vom i-net HelpDesk-Server eingebunden
  * Supporter/Dispatcher beantworten Live-Unterstützungs-Anfragen direkt in der Web-gestützten *Tickets*-Anwendung des i-net HelpDesk.
    * Kundenanfragen können optional an eine bestimmte Ressource übergeben werden
  * Die Anwesenheit von Supportmitarbeitern kann über die Aufgabenplanung zeitlich gesteuert werden, so dass die Live-Unterstützung außerhalb der Bürozeiten nicht angeboten wird
  * Die Darstellung des "Chat-Fensters" kann flexibel an das Firmendesign angepasst werden
  * Alle Texte lassen sich mit Hilfe des Übersetzungs-Plugins individualisieren, damit z.B. auf die Bürozeiten hingewiesen werden kann
  * In der Kommunikation des Kunden werden neben reinem Text auch Bilder und Datei-Anhänge unterstützt, die vom Kunden direkt hoch- oder runtergeladen werden können
  * In der Kommunikation des Supporters wird weiterhin die Verwendung von einfachem HTML, z.b. Listen und URL-Verknüpfungen unterstützt
* **Quick Tickets**:
  * Quick-Tickets lassen sich nun auch in der Ticket Web-Anwendung an zwei verschiedenen Stellen anwenden:
    * ein Neues Ticket wird mit Hilfe eines Quick-Tickets erstellt
    * ein Quick-Ticket wird auf ein bestehendes Ticket angewendet
  * Quick-Tickets können nun in der Web-Oberfläche in Konfiguration erstellt und verwaltet werden. Sie bieten einen erweiterten Funktionsumfang im Gegensatz zur Desktop-Anwendung und können somit auch nur in der Web-Anwendung "Tickets" verwendet werden 
* **Wartung**:
  * Neue Backup-Aufgabe zum Sichern der Bilder hinzugefügt, die neu in der Konfiguration eingestellt wurden
* Web-Anwendung **Tickets**:
  * Es ist nun auch in der Web-Anwendung möglich, ein Ticket in einen Wissenbasis-Artikel umzuwandeln 
  * Über den Menüpunkt "Neues Ticket aus Schritt erzeugen" kann ein neues Ticket aus dem Bearbeitungsschritt erstellt werden
  * Testbausteine sind im Texteditor nun als extra Sidebar abgebildet, die eine Filterung sowie Vorschau ermöglicht
  * Anlagen können jetzt in der Ticket-Erweiterung "Anlagen" auch aus einem Ticket gelöscht werden
  * Anlagen, z.B. Bilder, Videos, Text- / HTML- Dateien, vCards (.vcf) sowie E-Mails (.eml, .mim) können nun direkt in der Tickets-Anwendung geöffnet und angezeigt werden
  * Neues Ticket:
    * Über die Schaltfläche "Neues Ticket" kann man nun auch ein "Eigenes neues Ticket" erstellen, falls man selbst Supporter ist
    * Wenn als Prioritätsquelle der "Ort" gewählt war, bekamen neu erstellte Tickets in der Web-Ticketliste die Priorität des eingeloggten Benutzers. Sie bekommen jetzt die Priorität des Ortes des Ticket-Owners
    * Dispatcher können beim Anlegen eines neuen Tickets dieses nun "Speichern und Autorisieren", sobald eine Ressource eingetragen wurde
    * Reine Supporter können nun auch optional ein neues Ticket "Speichern und nicht Autorisieren", sobald eine Ressource eingetragen wurde
  * Ticketliste enthielt unter Umständen Tickets mit inkorrektem Status, der erst nach 15 Minuten oder nach Neustart des Servers aktualisiert wurde
  * Im Header der Ticket-Vorschau werden Tooltips zu den Ticketeigenschaften angezeigt
  * Ticket Kommentare bzw. die Memo Funktion ist jetzt in der Ticketliste verfügbar
  * Die Werte für Anzahl ITIL (Linkanzahl) und Eskalation (Zeit und Icon) werden jetzt live in der Web-Ansicht aktualisiert
  * Es wird ein Hinweis angezeigt, wenn man in einem Ticket eine Bearbeitung aktiv hat und diese sich außerhalb des sichtbaren Bereichs befindet
  * Das Feld "Kennung" ist nun auch für die Suche in der Web-Anwendung verfügbar 
  * E-Mail senden / Antworten:
    * Kopfzeile der originalen E-Mail werden immer in verkürzter Form eingeblendet, wenn der Textbaustein den Platzhalter für den Inhalt der E-Mail enthält
    * Drag & Drop von E-Mail-Empfängern im Formular ist nun möglich
  * Suche:
    * Suchvorschläge bei Kategorie und ähnlichem matchen jetzt auch innerhalb eines Wortes
  * View Einstellungen:
    * Neue Gruppierung für die eigenen Resourcen zu den View Einstellungen hinzugefügt
* **Wissensbasis**:
  * Im Dreipunkte-Menü eines Artikels ist es jetzt möglich, die URL zu dem Artikel zu kopieren
  * Wissensbasis verwendet jetzt auch die in der Konfiguration eingestellte Standardschriftart der Tickets
* **Tickets-WebAPI**
  * Es gibt eine neue WebAPI, mit der sich Tickets erstellen, suchen, anzeigen und verändern lassen.
  * Die Berechtigungen eines Benutzers für Tickets gelten für die WebAPI ebenso - analog z.B. der Tickets-Anwendung.

[bugfixes]
* **Desktop application**:
  * `NullPointerException` occurred after saving the ticket
* **i-net HelpDesk Mobile for iOS**
  * In the iOS app it was not possible to enter an appointment when an effort was mandatory entry
* **i-net HelpDesk Server**:
  * Create HD-Error-Messages folder in inbox when it cannot be created in parallel
  * End users could not add attachments to bundled tickets via web interface or email
  * If POP3 was configured for the inbox server, incoming emails were not deleted in the inbox
  * Updates from versions older than 20.10 failed if tickets with status Auto Finish were included
  * IllegalStateException occurred during setup: java.sql.SQLException: Cannot change the identity property on table 'tblBuendel' since there is a trigger reference by trigger 'tblBuendel_BearbeiterTrig' to this table
  * Emails were not read if the subject was longer than 255 characters
  * When reading an "e-mail undeliverable" message, the ticket was manually reset to the resource of the e-mail account
  * If POP3 was configured for the incoming mail server, incoming e-mails were read in only one at a time. The following error occurred: "MethodNotSupportedException: Expunge not supported"
  * In the configuration under "Webserver", when changing e.g. "Max. heap memory", the message "You are changing the port number of the current browser connection" appeared, because the HTTPS port was default but not the HTTP port
  * During the update the error occurred: There is already an object named "tblBuendelTEMP" in the database
  * Error while determining the column for foreign keys corrected - foreign keys are then read in again
  * It is again possible to end new tickets directly using the MAIL_NEW_IN trigger (javascript)
  * During the update, an error occurred when updating knowledge base articles, if a knowledge base article had no problem
  * Saving of not set mandatory fields in the order overview of the desktop application on exit failed
  * Bug when updating knowledge base articles
  * When a ticket is reopened after the "Send/Reply and close ticket immediately" action because the e-mail is undeliverable, a reactivate step is also added to the ticket
  * An auto-email was sent to resources when a closed ticket was escalated/forwarded to another resource by deleting the resource
  * Error occurred when updating user data if no domain was specified in LDAP connection
  * Changed dataviews resulted in invalid ad-hoc reports in i-net HelpDesk
  * The request text was not pre-populated with the single text module set for end users
  * It was not possible to install i-net HelpDesk server and client in parallel on one Ubuntu machine
  * In case of manual escalation without status change the resubmission date was not preserved
  * The import of e-mails was reworked:
    * If an email was received for a closed ticket, the javascript trigger can set the status again, this was not observed before
    * Changes made to user data by the trigger for existing emails were not saved
    * Changes to user data made by trigger or order parameters are now made to the sender's account instead of the ticket's user
    * Other small bugfixes in the error handling
* **Configuration**:
  * TicketID definition could not be saved in the configuration under certain circumstances
  * When uploading profile pictures, errors could occur in the web interface
* **Quick Tickets**:
  * QuickTicket definitions that erroneously have no text are retained again during the update and get the subject set as text
* Web application **Tickets**:
  * Auto Insert Text via F3 now searches the shortcut strictly within a text node or respects the full text selection
  * If i-net HelpDesk client is open for more than one day, views with relative date might not show all tickets
  * offer "All replies" for steps even if multiple recipients are listed in the "To" field
  * The edit state in a ticket now remains even if the layout changes in the meantime
  * Classification was not offered alphabetically sorted for selection
* Known issues:
  * While the "Delete Attachment" action has the option to be offered to "Authorized Users Only", this does not currently prevent a user without permission on "All Actions" from deleting attachments. Thus, there may be consequential errors if this option is turned on. For version 21.10 we plan to support this restriction correctly.

[bugfixes:de]
* **Desktop-Anwendung**:
  * `NullPointerException` nach Speichern des Tickets aufgetreten
* **i-net HelpDesk Mobile für iOS**
  * In der iOS-App war es nicht möglich, eine Terminvereinbarung einzutragen, wenn ein Aufwand Pflichteintrag war
* **i-net HelpDesk Server**:
  * Der Ordner HD-Error-Messages im Posteingang anlegen, wenn er parallel dazu nicht erstellt werden kann
  * Endanwender konnten keine Anlagen zu gebündelten Tickets über die Web-Oberfläche oder per E-Mail hinzufügen
  * Wurde POP3 für den Posteingangsserver konfiguriert, wurden eingelesende E-Mails im Postfach nicht gelöscht 
  * Updates von Versionen, älter als 20.10, scheiterte, wenn Tickets mit Status Auto-Beendigung enthalten waren
  * IllegalStateException während des Setup aufgetreten: java.sql.SQLException: Cannot change the identity property on table 'tblBuendel' since there is a trigger reference by trigger 'tblBuendel_BearbeiterTrig' to this table
  * E-Mails wurden nicht eingelesen, wenn der Betreff länger als 255 Zeichen war
  * Beim Einlesen einer "E-Mail unzustellbar" Nachricht wurde das Ticket manuell wieder auf die Ressource des E-Mail-Kontos zurückgesetzt
  * Wurde POP3 für den Posteingangsserver konfiguriert, wurden ankommende E-Mails nur einzeln eingelesen. Es trat der folgende Fehler auf: "MethodNotSupportedException: Expunge not supported" 
  * In der Konfiguration unter "Webserver" trat bei Änderung von z.B. "Max. Heap Memory" die Meldung auf "Sie ändern die Port-Nummer der aktuellen Browser-Verbindung.", weil der HTTPS Port default war aber nicht der HTTP Port
  * Während des Updates trat der Fehler auf: In der Datenbank ist bereits ein Objekt mit dem Namen "tblBuendelTEMP" vorhanden
  * Fehler beim Ermitteln der Spalte für Fremdschlüssel korrigiert - Fremdschlüssel werden dann wieder eingelesen
  * Es ist wieder möglich, durch den MAIL_NEW_IN trigger (javascript) neue Tickets direkt wieder zu beenden
  * Während des Updates trat bei Aktualisieren von Wissensbasis-Artikeln ein Fehler auf, wenn ein Wissensbasis-Artikel kein Problem hatte
  * Das Speichern von nicht gesetzten Pflichtfeldern in der Auftragsübersicht der Desktop-Anwendung beim Beenden scheiterte 
  * Bug beim Aktualisieren von Wissensbasis-Artikeln
  * Wenn ein Ticket nach der Aktion "Senden/Antworten und Ticket sofort beenden" wieder geöffnet wird, weil die E-mail unzustellbar ist, dann wird auch ein Reaktivieren-Schritt zum Ticket hinzugefügt
  * Es wurde eine Auto-E-Mail an Ressourcen gesendet, wenn ein geschlossenes Ticket durch Löschung der Ressource an eine andere Ressource eskaliert/weitergeleitet wurde
  * Fehler bei Aktualisierung von Benutzerdaten aufgetreten, wenn bei der LDAP Verbindung keine Domäne angegeben wurde
  * Geänderte Dataviews führten zu invaliden Ad-Hoc-Berichten im i-net HelpDesk
  * Der Anfragetext war nicht mit dem einzelnen Textbaustein vorbelegt, der für Endbenutzer eingestellt war
  * Es war nicht möglich den i-net HelpDesk Server und Client parallel auf einem Ubuntu Rechner installieren
  * Bei manueller Eskalation ohne Statusänderung war das Wiedervorlagedatum nicht erhalten geblieben 
  * Das Einlesen von E-Mails wurde überarbeitet:
    * Wenn eine E-Mail zu einem geschlossenen Ticket empfangen wurde, kann der Javascript-Trigger wieder den Status setzen, dies wurde zuvor nicht beachtet
    * Durch den Trigger für bestehende E-Mails gemachte Änderungen an den Benutzerdaten wurden nicht gespeichert
    * Durch Trigger oder Auftragsparameter gemachte Änderungen an Benutzerdaten werden jetzt am Account des Absenders vorgenommen anstatt am Benutzer des Tickets
    * Weitere kleine Bugfixes in der Fehlerbehandlung 
* **Konfiguration**:
  * TicketID-Definition konnte in der Konfiguration unter Umständen nicht abgespeichert werden
  * Beim Upload von Profilbildern konnte es zu Fehlern im Web-Interface kommen
* **Quick Tickets**:
  * QuickTicket-Definitionen, die fälschlicherweise keinen Text haben, werden beim Update wieder beibehalten und bekommen den Betreff als Text gesetzt
* Web-Anwendung **Tickets**:
  * Auto Text einfügen via F3 sucht nun den Shortcut strikt innerhalb eines Text-Nodes oder beachtet die vollständige Text-Selektion
  * Wenn der i-net HelpDesk Client länger als einen Tag geöffnet ist, zeigten Views mit relativem Datum ggf. nicht alle Tickets an
  * "Alle Antworten" für Schritte auch anbieten, wenn mehrere Empfänger im "An" Feld gelistet sind
  * Der Editierungszustand in einem Ticket bleibt nun auch bestehen wenn sich das Layout währenddessen ändert
  * Klassifizierung wurde nicht alphabetisch sortiert zur Auswahl angeboten
* Bekannte Probleme:
  * Die Aktion "Anlage löschen" hat zwar die Option, "nur berechtigten Usern" angeboten zu werden, dies verhindert aber derzeit nicht, dass ein Benutzer ohne Berechtigung auf "Alle Aktionen" Anlagen löschen kann. Es kann somit möglicherweise zu Folgefehlern kommen, wenn diese Option angeschaltet wird. Zur Version 21.10 planen wir, diese Einschränkung korrekt zu unterstützen.

[security]

[security:de]
